DROP VIEW V_M_NNSTOMAR
;

CREATE OR REPLACE VIEW V_M_NNSTOMAR AS (
SELECT S.SIFRA, S.OPIS, S.INTERNI_OPIS, S.KAT, S.TIMEKAT, S.NNLOCATION_ID, S.FILTER, S.DAVEK, S.QUANTITY_INSTR, 
S.ENOTA, S.INSTR_PRICE, S.AUTO_CREATE_METHOD, S.ACC_CODE, S.NIGHTS_PRICE, S.TRIGGER_DEPOSIT, S.ROUNDING, S.AKT, 
S.PRIVEZ, S.SUBLEASE, S.BERTH_YIELD, S.MIN_PRICE, S.MAX_DISCOUNT, S.ID_VOUCHER_TYPE, S.VOUCHER_AMOUNT,
SF.OPIS AS FILTER_OPIS, SK.OPIS AS KAT_OPIS, ST.OPIS AS TIMEKAT_OPIS
FROM M_NNSTOMAR S
LEFT OUTER JOIN M_NNSKLOPI SK ON SK.KATEGORIJA=1 AND SK.SIFRA_SKLOPA=S.KAT
LEFT OUTER JOIN M_NNSKLOPI ST ON ST.KATEGORIJA=2 AND ST.SIFRA_SKLOPA=S.TIMEKAT
LEFT OUTER JOIN NNSTOFILTER SF ON SF.ID = S.FILTER
)
;


ALTER TABLE M_NNKATEG
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y'
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1970, SYSDATE, '5.5', 1890, 'Kategorije')
;