CREATE OR REPLACE VIEW V_NNCARDS AS (
SELECT NC.ID_CARDS, NC.OPIS, NC.INTERNI_OPIS, NC.VRSTA_DENARJA, NC.VALUTA, NC.PROVIZIJA, NC.KONTO, NC.KNJIZBA_OPIS, NC.STORITEV, NC.SUBLEASE, NC.USE_PAYMENT_SYSTEM, NC.CARD_ISSUER, NC.REFUND,
PI.OPIS AS PLATNI_INSTRUMENTI_OPIS, PI.VRSTA AS PLATNI_INSTRUMENTI_VRSTA, MS.OPIS AS NNSTOMAR_OPIS, PS.OPIS AS PAYMENT_SYSTEM_OPIS
FROM NNCARDS NC
LEFT OUTER JOIN PLATNI_INSTRUMENTI PI ON PI.PLATNI_INSTRUMENT = NC.VRSTA_DENARJA
LEFT OUTER JOIN M_NNSTOMAR MS ON MS.SIFRA = NC.STORITEV
LEFT OUTER JOIN NNPAYMENT_SYSTEM PS ON PS.SIFRA =  NC.USE_PAYMENT_SYSTEM
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1139, SYSDATE, '5.5', 1059, 'VNncards')
;